For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data package ID

API test authentication

Get a specific data package.

get
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
dataPackageIdstringRequired

The id of the data package.

Responses
200

A data package.

application/json

A data package provides access to OS products that are not OpenData. If you have access to to products that are available as data packages then you can create new data packages using the OS Data Hub. Once you have set up your data packages you can use this API to access them.

idstringRequiredExample: 0040046952
namestringRequiredExample: Southampton Addresses
urlstring · uriRequiredExample: https://api.os.uk/downloads/v1/dataPackages/0040046952
createdOnstring · dateRequiredExample: 2021-01-20
productIdstringRequiredExample: ABPOSTSLA
productNamestringRequiredExample: AddressBase
get/dataPackages/{dataPackageId}
GET /downloads/v1/dataPackages/{dataPackageId} HTTP/1.1
Host: api.os.uk/
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "0040046952",
  "name": "Southampton Addresses",
  "url": "https://api.os.uk/downloads/v1/dataPackages/0040046952",
  "createdOn": "2021-01-20",
  "productId": "ABPOSTSLA",
  "productName": "AddressBase",
  "versions": [
    {
      "id": "110012",
      "url": "https://api.os.uk/downloads/v1/dataPackages/0040046952/versions/110012",
      "createdOn": "2021-04-01",
      "reason": "INITIAL",
      "supplyType": "FULL",
      "productVersion": "E37 December 2015 Update",
      "format": "CSV",
      "dataPackageUrl": "https://api.os.uk/downloads/v1/dataPackages/0040046952"
    }
  ]
}

Last updated

Was this helpful?